#!/usr/local/bin/perl

#	Indicate whether or not to check for continuation comments
$check_continue = 0;

#	This is the list of fonts to ignore.  For each font that you want 
#	ignored, add a line in the form:
#	
#		$FOUND{"AdobeType1FontName"} = 1;
#
#	Remember to use the PostScript name for the font.
#
#	DON'T REMOVE THE NEXT LINE, YOU NEED THAT THERE!!!!!!!
$FOUND{"(atend)"} = 1;

#	The following are the Adobe Base35 fonts that are already in
#	the Apple LaserWriters and don't need to be included.
$FOUND{"AvantGarde-Demi"} = 1;
$FOUND{"AvantGarde-DemiOblique"} = 1;
$FOUND{"AvantGarde-Book"} = 1;
$FOUND{"AvantGarde-BookOblique"} = 1;
$FOUND{"Bookman-Demi"} = 1;
$FOUND{"Bookman-DemiItalic"} = 1;
$FOUND{"Bookman-Light"} = 1;
$FOUND{"Bookman-LightItalic"} = 1;
$FOUND{"Courier"} = 1;
$FOUND{"Courier-Bold"} = 1;
$FOUND{"Courier-BoldOblique"} = 1;
$FOUND{"Courier-Oblique"} = 1;
$FOUND{"Helvetica"} = 1;
$FOUND{"Helvetica-Bold"} = 1;
$FOUND{"Helvetica-BoldOblique"} = 1;
$FOUND{"Helvetica-Narrow"} = 1;
$FOUND{"Helvetica-Narrow-Bold"} = 1;
$FOUND{"Helvetica-Narrow-BoldOblique"} = 1;
$FOUND{"Helvetica-Narrow-Oblique"} = 1;
$FOUND{"Helvetica-Oblique"} = 1;
$FOUND{"NewCenturySchlbk-Roman"} = 1;
$FOUND{"NewCenturySchlbk-Bold"} = 1;
$FOUND{"NewCenturySchlbk-BoldItalic"} = 1;
$FOUND{"NewCenturySchlbk-Italic"} = 1;
$FOUND{"Palatino-Roman"} = 1;
$FOUND{"Palatino-Bold"} = 1;
$FOUND{"Palatino-BoldItalic"} = 1;
$FOUND{"Palatino-Italic"} = 1;
$FOUND{"Symbol"} = 1;
$FOUND{"Times-Roman"} = 1;
$FOUND{"Times-Bold"} = 1;
$FOUND{"Times-BoldItalic"} = 1;
$FOUND{"Times-Italic"} = 1;
$FOUND{"ZapfChancery-MediumItalic"} = 1;
$FOUND{"ZapfDingbats"} = 1;

while( <> )
{
#	If check_continue is set, that means that we found a %%DocumentFonts
#	line and should now check for %%+ continuation comments.  If we 
#	don't find a continuation comment, set check_continue to 0.
	if( $check_continue == 1 )
	{
		if( /^\%\%\+ (.*)/ )
		{
			if( $FOUND{$1} != 1 )
			{
				$FOUND{$1} = 1;
				printf "%s ", $1;
			}
			next;
		}
		else
		{
			$check_continue = 0;
		}
	}
		
#	This is where we find the first %%DocumentFonts line.  This makes the
#	assumtion that all fonts are listed one per line.  This isn't
#	necessarily going to be true in all cases.  
	if( /^\%\%DocumentFonts: (.*)/ )
	{
		if( $FOUND{$1} != 1 )
		{
			$FOUND{$1} = 1;
			printf "%s ", $1;
		}
		$check_continue = 1;
	}
}

printf "\n";